%global momorel 3

Summary: translate with internet translation services
Name: youtranslate
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Text
URL: http://laas.altervista.org/youtranslate/ytindex.php
Source0: http://www.laas02.org/wp-content/res/yt/%{name}-%{version}_src.tar.gz
NoSource: 0
Source1: youtranslate.png
Source2: youtranslate.desktop
Source3: Makefile.am
Source4: Makefile.in
Source5: Makefile.include
Source6: aclocal.m4
Source7: configure
Source8: configure.ac
Source9: expansions.m4
Source10: install-sh
Source11: youtranslate.in
Source12: youtranslate.make
Source13: missing

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk-sharp2-devel >= 2.12.0
BuildRequires: mono-devel >= 1.2.6
Requires: gtk-sharp2 >= 2.12.0
Requires: mono-core >= 1.2.6
Requires: gtk2

%description
Briefly it's just a small and simple application that lets you use
some internet translation services in an easy and fast way. I have
developed this software just because every time I need to translate a
word (or a phrase) I have to open my internet browser, go to the
translation service provider, select source and destination languages,
adn wait for the resposnse.
#'

%prep
%setup -q -n %{name}-%{version}_src
cp  %{SOURCE3} \
    %{SOURCE4} \
    %{SOURCE5} \
    %{SOURCE6} \
    %{SOURCE7} \
    %{SOURCE8} \
    %{SOURCE9} \
    %{SOURCE10} \
    %{SOURCE11} \
    %{SOURCE12} \
    %{SOURCE13} \
    .

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

install -d %{buildroot}/%{_libexecdir} %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_datadir}/applications
install -d %{buildroot}/%{_datadir}/pixmaps

install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING
%{_bindir}/youtranslate
%{_libdir}/youtranslate/youtranslate.exe
%{_datadir}/pixmaps/youtranslate.png
%{_datadir}/applications/youtranslate.desktop

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-3m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- add missing script

* Wed Oct 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.10-3m)
- rebuild against gcc43

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.10-2m)
- rebuild against gtk-sharp2-2.12.0

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.10-1m)
- update to 1.1.10

* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.9-3m)
- fix youtranslate.desktop permission

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1.9-2m)
- fix BuildPrereq

* Sun Nov  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.9-1m)
- update to 1.1.9

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-3m)
- rebuild against mono-1.1.17.1 gtk-sharp 2.10.0

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.8-2m)
- revised for multilibarch

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-1m)
- update to 1.1.8

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-3m)
- replace requires: gtk+-devel to gtk+

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-2m)
- add requires: gtk+-devel (not so good)

* Tue Jul 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-1m)
- update to 1.1.7.3
-- NoSource -> Source

* Sun Jun 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.2-1m)
- update to 1.1.7.2
- add japanese menu

* Wed May  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.1-1m)
- update to 1.1.7.1

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-3m)
- rebuild mono -> mono-core

* Mon May  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-2m)
- add pixmap and desktop files

* Fri Apr 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-1m)
- initial build
